com.streambase.sb.operator

## Enum Operator.SharedObject.State

- java.lang.Object
- - java.lang.Enum<Operator.SharedObject.State>
  - - com.streambase.sb.operator.Operator.SharedObject.State

- All Implemented Interfaces:
    Serializable, Comparable<Operator.SharedObject.State>
  Enclosing interface:
    Operator.SharedObject

      public static enum Operator.SharedObject.State
      extends Enum<Operator.SharedObject.State>

  The state of the SharedObject

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INITIAL` Initial state
    `SHUTDOWN` Shutdown
    `STARTED` Started
    `SUSPENDED` Suspended

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Operator.SharedObject.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Operator.SharedObject.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIAL

          public static final Operator.SharedObject.State INITIAL

      Initial state

    - #### STARTED

          public static final Operator.SharedObject.State STARTED

      Started

    - #### SUSPENDED

          public static final Operator.SharedObject.State SUSPENDED

      Suspended

    - #### SHUTDOWN

          public static final Operator.SharedObject.State SHUTDOWN

      Shutdown

  - ### Method Detail

    - #### values

          public static Operator.SharedObject.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operator.SharedObject.State c : Operator.SharedObject.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operator.SharedObject.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.